Skip to main content
`Ctrl`+`K`

# PetscDrawBarSetLimits

Sets the axis limits for a bar graph. If more points are added after this call, the limits will be adjusted to include those additional points.

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawBarSetLimits(PetscDrawBar bar, PetscReal y_min, PetscReal y_max)

Logically Collective

## Input Parameters

- bar - The bar graph context

- y_min - The lower limit

- y_max - The upper limit

## See Also

`PetscDrawBar`, `PetscDrawBarCreate()`, `PetscDrawBarGetAxis()`, `PetscDrawBarSetData()`, `PetscDrawBarDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/bars.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages